:root {
    --clr-cyan: hsl(179, 62%, 43%);
    --clr-bright-yellow: hsl(71, 73%, 54%);
    --clr-light-gray: hsl(204, 43%, 93%);
    --clr-grayish-blue: hsl(218, 22%, 67%);
    --clr-white: hsl(0, 0%, 100%);

    --ff-default: "Karla", sans-serif;

    --fw-regular: 400;
    --fw-bold: 700;
}

body {
    background-color: var(--clr-light-gray);
    font-family: var(--ff-default);
    font-size: 1rem;
    font-weight: var(--fw-regular);
    color: var(--clr-grayish-blue);
}

/* Text styles */

.price__title,
.price__subtitle,
.price__col__title {
    font-weight: 700;
}

.price__title,
.price__col__title {
    font-size: 1.25rem;
}

.price__title {
    color: var(--clr-cyan);
}

.price__subtitle {
    font-size: 1rem;
    color: var(--clr-bright-yellow);
}

.price__col {
    color: var(--clr-light-gray);
}

.price__col__amount {
    color: hsla(203, 44%, 93%, 0.53);
}

.price__col__amount span {
    font-size: 1.85rem;
    font-weight: var(--fw-bold);
    color: var(--clr-white);
    vertical-align: middle;
}

.signup-btn {
    font-weight: var(--fw-bold);
    color: var(--clr-light-gray);
}

/* Layout styles */

.price__container {
    max-width: 700px;
    margin: 4.5rem 2rem;
    border-radius: 0.5rem;
    overflow: hidden;
}

.price__row:first-child,
.price__col {
    padding: 1.3rem;
}

.price__row:first-child * {
    margin-bottom: 1rem;
}

.price__col:first-child *:not(.signup-btn){
    margin-bottom: 0.35rem;
}

.price__col__amount span {
    margin-right: 0.5rem;
}

.price__benefits {
    margin-top: 1rem;
}

/* General styles */

.price__row:first-child {
    background-color: var(--clr-white);
}

.price__col {
    background-color: var(--clr-cyan);
}

.price__col:last-child {
    background-color: hsla(179, 62%, 43%, 0.797);
}

.signup-btn {
    background-color: var(--clr-bright-yellow);
    display: block;
    min-width: 100%;
    padding: 0.75rem;
    border: none;
    border-radius: 0.3125rem;
    margin-top: 1.5rem;
    box-shadow: rgba(0, 0, 0, 0.144) 0rem 0.1875rem 0.5rem;
}

.price__benefits {
    list-style: none;
    padding: 0;
}

.price__benefits li {
    opacity: 80%;
}


@media (min-width: 650px) {

    /* Text styles */

    .price__title {
        font-size: 1.75rem;
    }

    .price__col__amount span {
        font-size: 2.2rem;
    }

    /* Layout styles */

    .wrapper {
        min-height: 100vh;
        display: grid;
        place-content: center;
    }

    .price__container {
        margin: 0 2rem;
    }

    .price__row:last-child {
        display: grid;
        grid-template-columns: repeat(2, 1fr);
    }

    .price__col {
        place-content: center;
    }

    .price__row:first-child,
    .price__col {
        padding: 2.5rem;
    }

    .price__row:first-child {
        padding-right: 6rem;
    }

    .price__col:first-child *:not(.signup-btn, .price__col__amount){
        margin-bottom: 1rem;
    }

    .signup-btn {
        margin-top: 2.5rem;
    }
}